<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Enums\Base;

use Jiannei\Enum\Laravel\Contracts\LocalizedEnumContract;
use Jiannei\Enum\Laravel\FlaggedEnum;

class RoleEnum extends FlaggedEnum implements LocalizedEnumContract
{
    const USER = 2;
    const PROJECT = 3;
    const ADMIN = 1;
}
