<?php

namespace App\Repositories\Presenters\Base;

use App\Repositories\Transformers\Base\SettingTransformer;
use Prettus\Repository\Presenter\FractalPresenter;

/**
 * Class SettingPresenter.
 *
 * @package namespace App\Repositories\Presenters\Base;
 */
class SettingPresenter extends FractalPresenter
{
    /**
     * Transformer
     *
     * @return \League\Fractal\TransformerAbstract
     */
    public function getTransformer()
    {
        return new SettingTransformer();
    }
}
