<?php

namespace App\Repositories\Presenters\Exam;

use App\Repositories\Transformers\Exam\TopicTransformer;
use Prettus\Repository\Presenter\FractalPresenter;

/**
 * Class TopicPresenter.
 *
 * @package namespace App\Repositories\Presenters\Exam;
 */
class TopicPresenter extends FractalPresenter
{
    /**
     * Transformer
     *
     * @return \League\Fractal\TransformerAbstract
     */
    public function getTransformer()
    {
        return new TopicTransformer();
    }
}
