<?php

namespace App\Repositories\Presenters\School;

use App\Repositories\Transformers\School\GradeTransformer;
use Prettus\Repository\Presenter\FractalPresenter;

/**
 * Class GradePresenter.
 *
 * @package namespace App\Repositories\Presenters\School;
 */
class GradePresenter extends FractalPresenter
{
    /**
     * Transformer
     *
     * @return \League\Fractal\TransformerAbstract
     */
    public function getTransformer()
    {
        return new GradeTransformer();
    }
}
