<?php

namespace App\Repositories\Presenters\School;

use App\Repositories\Presenters\BasePresenter;
use App\Repositories\Transformers\School\LessonTransformer;
use Prettus\Repository\Presenter\FractalPresenter;

/**
 * Class LessonPresenter.
 *
 * @package namespace App\Repositories\Presenters\School;
 */
class LessonPresenter extends BasePresenter
{
    /**
     * Transformer
     *
     * @return \League\Fractal\TransformerAbstract
     */
    public function getTransformer($type = 'list')
    {
        return new LessonTransformer($type);
    }
}
