<?php

namespace App\Repositories\Presenters\School;

use App\Repositories\Transformers\School\LessonTeacherTransformer;
use Prettus\Repository\Presenter\FractalPresenter;

/**
 * Class LessonTeacherPresenter.
 *
 * @package namespace App\Repositories\Presenters\School;
 */
class LessonTeacherPresenter extends FractalPresenter
{
    /**
     * Transformer
     *
     * @return \League\Fractal\TransformerAbstract
     */
    public function getTransformer()
    {
        return new LessonTeacherTransformer();
    }
}
