<?php

namespace App\Repositories\Presenters\School;

use App\Repositories\Transformers\School\RoomTransformer;
use Prettus\Repository\Presenter\FractalPresenter;

/**
 * Class RoomPresenter.
 *
 * @package namespace App\Repositories\Presenters\School;
 */
class RoomPresenter extends FractalPresenter
{
    /**
     * Transformer
     *
     * @return \League\Fractal\TransformerAbstract
     */
    public function getTransformer()
    {
        return new RoomTransformer();
    }
}
