<?php

namespace App\Repositories\Transformers\Base;

use App\Repositories\Models\Base\Area;
use League\Fractal\TransformerAbstract;

class AreaTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param Area $area
     * @return array
     */
    public function transform(Area $area)
    {
//        if (request()->has('id')) {
//             return [
//                 'id' => $area->id,
//                 'created_at' => $area->created_at ? $area->created_at->format('Y-m-d H:i:s') : null,
//             ];
//        }
        return [
            'id' => $area->id,
            'name' => $area->name,
            'code' => $area->code,
            'parent_id' => $area->parent_id,
        ];
    }
}
