<?php

namespace App\Repositories\Transformers\Base;

use App\Repositories\Models\Base\Company;
use League\Fractal\TransformerAbstract;
use function request;

class CompanyTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param Company $company
     * @return array
     */
    public function transform(Company $company)
    {
        return [
            'id' => $company->id,
            'name' => $company->name,
            'sort' => $company->sort,
            'created_at' => $company->created_at ? $company->created_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
