<?php

namespace App\Repositories\Transformers\Base;

use App\Repositories\Models\Base\DictDetail;
use League\Fractal\TransformerAbstract;

class DictDetailTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param DictDetail $dictDetail
     * @return array
     */
    public function transform(DictDetail $dictDetail)
    {
        return [
            'id' => $dictDetail->id,
            'name' => $dictDetail->name,
            'value' => $dictDetail->value,
            'sort' => $dictDetail->sort,
            'status' => $dictDetail->status,
            'created_at' => $dictDetail->created_at ? $dictDetail->created_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
