<?php

namespace App\Repositories\Transformers\Info;

use App\Repositories\Models\Info\InformationType;
use League\Fractal\TransformerAbstract;

class InformationTypeTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param InformationType $informationType
     * @return array
     */
    public function transform(InformationType $informationType)
    {
//        if (request()->has('id')) {
//             return [
//                 'id' => $informationType->id,
//                 'created_at' => $informationType->created_at ? $informationType->created_at->format('Y-m-d H:i:s') : null,
//             ];
//        }
        return [
            'id' => $informationType->id,
            'name' => $informationType->name,
            'status' => $informationType->status,
            'created_at' => $informationType->created_at ? $informationType->created_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
