<?php

namespace App\Repositories\Transformers\School;

use App\Repositories\Enums\School\TeacherTypeEnum;
use App\Repositories\Transformers\BaseTransformer;
use Carbon\Carbon;

/**
 * Class TeacherTransformer.
 *
 * @package namespace App\Repositories\Transformers\School;
 */
class TeacherTransformer extends BaseTransformer
{

    public function lists($model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'account' => $model->account,
            'sex' => $model->sex,
            'mobile' => $model->mobile,
            'email' => $model->email,
            'headimg' => $model->headimg,

//            'colleges' => $model->colleges,
//            'subject' => $model->subject,
//            'professional_rank' => $model->professional_rank,
//            'course' => $model->course,
//            'intro' => $model->intro,
            'department' => $model->department,

            'is_register' => $model->is_register,
            'status' => $model->status,
//            'type' => $model->type,
//            'type_text' => TeacherTypeEnum::getDescription($model->type),

//            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }

    public function detail($model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'account' => $model->account,
            'sex' => $model->sex,
            'mobile' => $model->mobile,
            'email' => $model->email,
            'headimg' => $model->headimg,

//            'colleges' => $model->colleges,
//            'subject' => $model->subject,
//            'professional_rank' => $model->professional_rank,
//            'course' => $model->course,
//            'intro' => $model->intro,
            'department' => $model->department,

            'is_register' => $model->is_register,
            'status' => $model->status,
//            'type' => $model->type,
//            'type_text' => TeacherTypeEnum::getDescription($model->type),
//            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
