<?php

namespace App\Repositories\Validators\Base;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class RoleValidator.
 *
 * @package namespace App\Repositories\Validators\Base;
 */
class RoleValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'nickname' => 'required',
            'name' => 'required',
            'menus' => 'sometimes|array',
            'parent_menus' => 'sometimes|array',
            'guard_name' => 'required',
            'sort' => 'sometimes',
            'status' => 'sometimes'
        ],
        ValidatorInterface::RULE_UPDATE => [
            'nickname' => 'required',
            'menus' => 'sometimes|array',
            'parent_menus' => 'sometimes|array',
            'guard_name' => 'required',
            'sort' => 'sometimes',
            'status' => 'sometimes'
        ],
    ];
}
