<?php

namespace App\Repositories\Validators\School;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class LessonTeacherValidator.
 *
 * @package namespace App\Repositories\Validators\School;
 */
class LessonTeacherValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'term_id' => 'sometimes|nullable|integer',
            'type' => 'required|in:1,2',
            'student_nums' => 'required|integer',
            'teacher_admin_id' => 'required|integer',
            'grade_id' => 'required|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'term_id' => 'sometimes|nullable|integer',
            'student_nums' => 'required|integer',
            'teacher_admin_id' => 'required|integer',
            'grade_id' => 'required|integer',
        ],
    ];
}
