<?php

namespace App\Repositories\Validators\School;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class LessonValidator.
 *
 * @package namespace App\Repositories\Validators\School;
 */
class LessonValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'term_id' => 'sometimes|integer',
            'name' => 'required',
            'no' => 'sometimes',
            'category_id' => 'sometimes|integer',
//            'teacher_id' => 'required|integer',
            'lesson_hour' => 'required|integer',
            'credit' => 'required|integer',
            'body' => 'sometimes',
//            'grade_rules' => 'sometimes|array',
            'status' => 'required|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'term_id' => 'sometimes|integer',
            'name' => 'required',
            'no' => 'sometimes',
            'category_id' => 'sometimes|integer',
//            'teacher_id' => 'required|integer',
            'lesson_hour' => 'required|integer',
            'credit' => 'required|integer',
            'body' => 'sometimes',
//            'grade_rules' => 'sometimes|array',
            'status' => 'required|integer',
        ],
    ];
}
