<?php

namespace App\Http\Middleware;

use App\Repositories\Enums\ResponseCodeEnum;
use Carbon\Carbon;
use Closure;
use Illuminate\Support\Facades\Cache;
use Jiannei\Response\Laravel\Support\Facades\Response;
use Tymon\JWTAuth\Facades\JWTAuth;

class SingleLoginLimit
{

    public static function setToken($guard, $uid, $sinleToken)
    {
        Cache::put("SINGLETOKEN_{$guard}_{$uid}", $sinleToken, Carbon::now()->addHours(8));
    }

    /**
     * Handle an incoming request.
     *
     * @param \Illuminate\Http\Request $request
     * @param \Closure $next
     * @return mixed
     */
    public function handle($request, Closure $next, $guard = 'admins')
    {

//        $uid = optional(auth($guard)->user())->id;
//
//        if (!((int)$uid === (int)config('app.test_user_id'))) {
//            $token = JWTAuth::getToken();
//            $redisToken = Cache::get("SINGLETOKEN_{$guard}_{$uid}");
//            if ($token != $redisToken) {
//                JWTAuth::parseToken()->invalidate();
//                return Response::fail('账号已在其他设备登录', ResponseCodeEnum::HTTP_UNAUTHORIZED);
//            }
//        }

        return $next($request);
    }
}
