<?php

namespace App\Repositories\Eloquent\Exam;

use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Exam\TopicRepository;
use App\Repositories\Models\Exam\Topic;
use App\Repositories\Validators\Exam\TopicValidator;

/**
 * Class TopicRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Exam;
 */
class TopicRepositoryEloquent extends BaseRepository implements TopicRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Topic::class;
    }

    /**
    * Specify Validator class name
    *
    * @return mixed
    */
    public function validator()
    {

        return TopicValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }
    
}
