<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Enums\School;

use Jiannei\Enum\Laravel\Contracts\LocalizedEnumContract;
use Jiannei\Enum\Laravel\Enum;

final class LessonScheduleApproveStatusEnum extends Enum implements LocalizedEnumContract
{
    //申请关闭
    const CLOSE = 0;
    //等待审批
    const WAIT = 1;
    //院系审核成功
    const YX_OK = 2;
    //院系审核失败
    const YX_ERROR = 3;
    //实验中心审核成功
    const SYZX_OK = 4;
    //实验中心审核失败
    const STZX_ERROR = 5;
    //完成
    const COMPLETE = 6;
    //操作失败
    const OPERATION_ERROR = 7;

}
