<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Enums\School;

use Jiannei\Enum\Laravel\Contracts\LocalizedEnumContract;
use Jiannei\Enum\Laravel\Enum;

final class LessonScheduleStatusEnum extends Enum implements LocalizedEnumContract
{
    //正常
    const OK = 1;
    //停课
    const SJ = 2;
    //调课
    const TK = 3;
}
