<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Enums;

use Jiannei\Enum\Laravel\Repositories\Enums\CacheEnum as BaseCacheEnum;

class TaskMakeStatusEnum extends BaseCacheEnum
{
    //待生成
    const WAIT = 0;
    //生成中
    const IN = 1;
    //生成完成
    const OK = 2;
    //生成失败
    const FAIL = 3;
}
