<?php

namespace App\Repositories\Models\Base;

use Illuminate\Database\Eloquent\Model;

class Auth extends Model
{
    /**
     * @var string
     */
    protected $table = 'base_auth';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'user_id',
        'type',
        'identifier',
        'credential',
        'source_id',
        'source_type',
        'status',
    ];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [
        'credential'
    ];
}
