<?php

namespace App\Repositories\Models\Base;

use Illuminate\Database\Eloquent\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class Category.
 *
 * @package namespace App\Repositories\Models\Base;
 */
class Category extends Model implements Transformable
{
    use TransformableTrait;

    protected $table = 'base_categories';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [];

}
