<?php

namespace App\Repositories\Models\Base;

use App\Repositories\Models\Model;

class DictDetail extends Model
{
    /**
     * @var string
     */
    protected $table = 'base_dict_detail';

    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [
    ];

    public static function checkValueIsUnique($dict_id, $value)
    {
        return self::where('dict_id', $dict_id)->where('value', $value)->exists();
    }
}
