<?php

namespace App\Repositories\Models\Base;

use App\Repositories\Models\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class Shop.
 *
 * @package namespace App\Repositories\Models\Base;
 */
class Shop extends Model implements Transformable
{
    use TransformableTrait;

    protected $table = 'base_shops';

    protected $casts = ['point' => 'array'];

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [];

}
