<?php

namespace App\Repositories\Models\Info;

use App\Repositories\Models\Model;

class Information extends Model
{
    /**
     * @var string
     */
    protected $table = 'info_Information';

    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    public function type()
    {
        return $this->belongsTo(InformationType::class)->select(['id', 'name']);
    }

}
