<?php

namespace App\Repositories\Models\School;

use App\Repositories\Models\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class Category.
 *
 * @package namespace App\Repositories\Models\School;
 */
class Category extends Model implements Transformable
{
    use TransformableTrait;

    protected $table = 'school_categories';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [];

}
