<?php

namespace App\Repositories\Presenters\Exam;

use App\Repositories\Presenters\BasePresenter;
use App\Repositories\Transformers\Exam\PaperResultTransformer;
use Prettus\Repository\Presenter\FractalPresenter;

/**
 * Class PaperResultPresenter.
 *
 * @package namespace App\Repositories\Presenters\Exam;
 */
class PaperResultPresenter extends BasePresenter
{
    /**
     * Transformer
     *
     * @return \League\Fractal\TransformerAbstract
     */
    public function getTransformer($type = 'lists')
    {
        return new PaperResultTransformer($type);
    }
}
