<?php

namespace App\Repositories\Presenters\School;

use App\Repositories\Presenters\BasePresenter;
use App\Repositories\Transformers\School\StudentTransformer;

/**
 * Class StudentPresenter.
 *
 * @package namespace App\Repositories\Presenters\School;
 */
class StudentPresenter extends BasePresenter
{
    /**
     * Transformer
     *
     * @return \League\Fractal\TransformerAbstract
     */
    public function getTransformer($type = 'list')
    {
        return new StudentTransformer($type);
    }
}
