<?php

namespace App\Repositories\Presenters\School;

use App\Repositories\Presenters\BasePresenter;
use App\Repositories\Transformers\School\TeacherTransformer;

/**
 * Class TeacherPresenter.
 *
 * @package namespace App\Repositories\Presenters\School;
 */
class TeacherPresenter extends BasePresenter
{
    /**
     * Transformer
     *
     * @return \League\Fractal\TransformerAbstract
     */
    public function getTransformer($type = 'list')
    {
        return new TeacherTransformer($type);
    }
}
