<?php

namespace App\Repositories\Transformers\Base;

use App\Repositories\Models\Base\Dict;
use League\Fractal\TransformerAbstract;

class DictTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param Dict $dict
     * @return array
     */
    public function transform(Dict $dict)
    {
        return [
            'id' => $dict->id,
            'name' => $dict->name,
            'code' => $dict->code,
            'is_system' => $dict->is_system,
            'created_at' => $dict->created_at ? $dict->created_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
