<?php

namespace App\Repositories\Transformers\Base;

use App\Repositories\Models\Base\Permission;
use League\Fractal\TransformerAbstract;

class PermissionTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     *
     * @param Permission $permission
     * @return array
     */
    public function transform(Permission $permission)
    {
        return [
            'id' => $permission->id,
            'name' => $permission->name,
            'nickname' => $permission->nickname,
            'module' => $permission->module,
            'is_must' => $permission->is_must,
//            'id' => $permission->id,
//            'created_at' => $permission->created_at ? $permission->created_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
