<?php

namespace App\Repositories\Transformers\Base;

use League\Fractal\TransformerAbstract;

class UserTransformer extends TransformerAbstract
{
    /**
     * Prepare data to present.
     * @return array
     */
    public function transform($user)
    {
        return [
            'id' => $user->id,
            'nickname' => $user->name ?? $user->nickname,
            'name' => $user->name,
            'username' => $user->username,
            'mobile' => $user->mobile,
            'sex' => $user->sex,
            'email' => $user->email,
            'headimg' => $user->headimg,
            'type' => $user->type,
            'last_login_time' => $user->last_login_time,
            'last_login_ip' => $user->last_login_ip,
            'wechat_auth_id' => $user->wechat_auth_id,
            'status' => $user->status,
            'grade' => $user->grade,
            'department' => $user->department,
//            'type_model' => $user->type_model,
            'created_at' => $user->created_at ? $user->created_at->format('Y-m-d H:i:s') : null,
        ];
    }
}
