<?php

namespace App\Repositories\Transformers\Exam;

use League\Fractal\TransformerAbstract;
use App\Repositories\Models\Exam\Topic;

/**
 * Class TopicTransformer.
 *
 * @package namespace App\Repositories\Transformers\Exam;
 */
class TopicTransformer extends TransformerAbstract
{
    /**
     * Transform the Topic entity.
     *
     * @param \App\Repositories\Models\Exam\Topic $model
     *
     * @return array
     */
    public function transform(Topic $model)
    {
        return [
            'id'         => (int) $model->id,

            /* place your other model properties here */

            'created_at' => $model->created_at,
            'updated_at' => $model->updated_at
        ];
    }
}
