<?php

namespace App\Repositories\Validators\School;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class GradeValidator.
 *
 * @package namespace App\Repositories\Validators\School;
 */
class GradeValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'name' => 'required',
            'no' => 'sometimes|nullable',
            'student_nums' => 'sometimes|integer',
            'status' => 'required|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'name' => 'required',
            'student_nums' => 'sometimes|integer',
            'status' => 'required|integer',
        ],
    ];
}
